<template>
  <transition-group tag="v-layout" fill-height :name="slideName" class="writing-mobile">
    <writing-instructions
      v-show="activeTab === 0"
      :disabled="concluded"
      :description="activity.description"
      :questions="activity.question"
      :key="0"
    />
    <writing-answer
      :text="text"
      :disabled="concluded"
      v-show="activeTab === 1"
      :key="1"
      @input="setAnswer"
      :activity="activity"
    />

    <writing-feedback :feedback="feedback" v-show="activeTab === 2" :key="2"/>
  </transition-group>
</template>

<script>
import DefaultComponent from '../Mixin/DefaultComponent';

export default {
  mixins: [DefaultComponent],
};
</script>

<style lang="sass">
.writing-mobile
  max-width: 96%
  margin: 10px 0px
</style>
